%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define __python python3

Summary:	Extra plugins for gedit
Name:		gedit-plugins
Version:	3.22.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		https://wiki.gnome.org/Apps/Gedit/ShippedPlugins
BuildRequires:	pkgconfig(dbus-python) >= 0.82
BuildRequires:	pkgconfig(gedit) >= %{url_ver}
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gucharmap-2.90)
BuildRequires:	typelib(Gucharmap) >= 2.90
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(zeitgeist-2.0) >= 0.9.12
BuildRequires:	typelib(Zeitgeist) >= 2.0
BuildRequires:	pkgconfig(libgit2-glib-1.0) >= 0.0.6
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	typelib(Vte) >= 2.91
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	libxml2-utils
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	gedit >= %{url_ver}
Requires:	python3-gobject3

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang gedit --with-gnome --with-help
%find_lang %name --with-gnome --with-help

cat gedit.lang >> %name.lang

%files -f %{name}.lang
%doc ChangeLog AUTHORS
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/*
%{_datadir}/appdata/gedit-*.metainfo.xml


%changelog
* Fri Oct 07 2016 tv <tv> 3.22.0-1.mga6
+ Revision: 1059366
- new release

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993384
- new version 3.20.0

* Sun Feb 14 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960269
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882710
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 879319
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.17.0-1.mga6
+ Revision: 839661
- new version 3.17.0

* Wed Nov 12 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796553
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 745111
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731619
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.2-2.mga5
+ Revision: 679479
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat Jul 26 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 656596
- new version 3.13.2

* Wed Jul 23 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 656033
- new version 3.13.1

* Tue Jun 24 2014 ovitters <ovitters> 3.13.0-2.mga5
+ Revision: 639467
- update source url

* Tue Jun 24 2014 ovitters <ovitters> 3.13.0-1.mga5
+ Revision: 639442
- enable zeitgeist,git
- new version 3.13.0

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614117
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608054
- new version 3.12.0

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599900
- new version 3.11.91

* Thu Feb 06 2014 dams <dams> 3.11.2-1.mga5
+ Revision: 584452
- new version 3.11.2

* Tue Feb 04 2014 ovitters <ovitters> 3.10.1-1.mga5
+ Revision: 582542
- new version 3.10.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550151
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536502
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484489
- new version 3.10.0

* Tue Jul 30 2013 fwang <fwang> 3.9.2-2.mga4
+ Revision: 461101
- force python3

* Fri Jul 26 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 458617
- new version 3.9.2

* Tue Jun 18 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 444638
- new version 3.8.3

* Mon May 27 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 428565
- add br on vte3

* Mon May 27 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 428552
- 3.8.2

  + ovitters <ovitters>
    - new version 3.8.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 351239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307253
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297250
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 296226
- new version 3.5.2

* Sun Aug 19 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 282408
- new version 3.5.1

* Mon Apr 23 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 232744
- new version 3.4.0

* Fri Mar 09 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 221994
- new version 3.3.4

* Sat Feb 25 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 214461
- new version 3.3.3

* Tue Feb 07 2012 fwang <fwang> 3.3.2-1.mga2
+ Revision: 205736
- new version 3.3.2

* Sun Dec 04 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 175831
- new version 3.3.1

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155617
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148946
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 146011
- new version 3.1.5

* Tue Sep 06 2011 wally <wally> 3.1.4-1.mga2
+ Revision: 139566
- new version 3.1.4
- clean .spec a bit

* Thu Sep 01 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 137505
- new version 3.1.3
- rebuild
- rebuild
- br intltool
- update spec

  + gil <gil>
    - imported package gedit-plugins

